## org.eclipse.emf.common.ui.wizard
Class AbstractExampleInstallerWizard.ProjectDescriptor

    java.lang.Object
      org.eclipse.emf.common.ui.wizard.AbstractExampleInstallerWizard.ProjectDescriptor

Enclosing class:
  AbstractExampleInstallerWizard

    public static class AbstractExampleInstallerWizard.ProjectDescriptor

extends java.lang.Object

Field Summary
`protected URI` `contentURI`
`protected java.lang.String` `description`
`protected java.lang.String` `name`
`protected IProject` `project`

Constructor Summary
`AbstractExampleInstallerWizard.ProjectDescriptor()`

Method Summary
`URI` `getContentURI()`
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`IProject` `getProject()`
`void` `setContentURI(URI contentURI)`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected java.lang.String name

### contentURI

    protected URI contentURI

### description

    protected java.lang.String description

### project

    protected IProject project

Constructor Detail

### AbstractExampleInstallerWizard.ProjectDescriptor

    public AbstractExampleInstallerWizard.ProjectDescriptor()

Method Detail

### getContentURI

    public URI getContentURI()

### setContentURI

    public void setContentURI(URI contentURI)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getProject

    public IProject getProject()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.